## lua-term 0.03.20140426.g1ba9a8e

=== Makefile ===
#this file builds lua-term \o/

LUA_VER		:= 5.1
LUA_DIR		:= /usr
LUA_LIBDIR	:= $(LUA_DIR)/lib/lua/$(LUA_VER)/term
LUA_INC		:= $(LUA_DIR)/include/lua$(LUA_VER)
LUA_SHARE	:= $(LUA_DIR)/share/lua/$(LUA_VER)/term
CWARNS          := -Wall -pedantic 
CFLAGS 		:= $(CWARNS) -ansi -O3 -I$(LUA_INC) -fPIC
LIB_OPTION	:= -shared

SONAME   	:= core.so
SONAMEV  	:= $(SONAME).1
LIBRARY  	:= $(SONAMEV).0.1
SRC      	:= core.c
OBJ      	:= $(patsubst %.c, %.o, $(SRC))

FILES		:= term/init.lua term/cursor.lua term/colors.lua

all: $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc
		
install:
	mkdir -p $(LUA_LIBDIR)
	cp $(SONAME) $(LUA_LIBDIR)
	mkdir -p $(LUA_SHARE)
	cp $(FILES) $(LUA_SHARE)

clean:
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME) *.o

=== debian/changelog ===
lua-term (0.03.20140426.g1ba9a8e-1) unstable; urgency=low

  * Initial release (Closes: #743966)

 -- Aaron Zauner <azet@azet.org>  Sun, 04 May 2014 14:33:23 -0500

=== debian/control ===
Source: lua-term
Priority: optional
Maintainer: Aaron Zauner <azet@azet.org>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/hoelzro/lua-term

Package: lua-term
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua module for manipulating a terminal
 lua-term provides a library interface to facilitate
 terminal operations and manipulations in Lua.

Package: lua-term-dev
Section: libdevel
Architecture: any
Depends: lua-term (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Lua module for manipulating a terminal
 This package provide the development headers and static
 libraries for lua-term. Terminal operations for Lua.

## lua-term 0.07

=== Makefile ===
#this file builds lua-term \o/

LUA_VER         ?= 5.1
LUA_DIR         ?= /usr
LUA_LIBDIR      := $(LUA_DIR)/lib/lua/$(LUA_VER)/term
LUA_INC         := $(LUA_DIR)/include/lua$(LUA_VER)
LUA_SHARE       := $(LUA_DIR)/share/lua/$(LUA_VER)/term
CWARNS          := -Wall -pedantic
CFLAGS          += $(CWARNS) -O3 -I$(LUA_INC) -fPIC
LIB_OPTION      := -shared

SONAME          := core.so
SONAMEV         := $(SONAME).1
LIBRARY         := $(SONAMEV).0.1
SRC             := core.c
OBJ             := $(patsubst %.c, %.o, $(SRC))

FILES           := term/init.lua term/cursor.lua term/colors.lua

all: $(LIBRARY) $(SONAMEV) $(SONAME)

$(SONAMEV):
	ln -s $(LIBRARY) $@

$(SONAME):
	ln -s $(SONAMEV) $@

$(LIBRARY): $(OBJ)
	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc

install:
	mkdir -p $(LUA_LIBDIR)
	cp $(SONAME) $(LUA_LIBDIR)
	mkdir -p $(LUA_SHARE)
	cp $(FILES) $(LUA_SHARE)

clean:
	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME) *.o

=== debian/changelog ===
lua-term (0.07-2) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints. + lua-term: Add Multi-Arch: same
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Tue, 25 Nov 2025 16:28:18 +0100

lua-term (0.07-1) unstable; urgency=medium

  * set maintainer to lua-team
  * add lua5.4 support

 -- Victor Seva <vseva@debian.org>  Wed, 08 Dec 2021 20:16:10 +0100

lua-term (0.07-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * Add lua5.1 and lua5.3 support
  * Update Standards-Versions to 3.9.8, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Sat, 28 May 2016 14:09:47 -0400

=== debian/control ===
Source: lua-term
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Aaron Zauner <azet@azet.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-lua,
Standards-Version: 4.6.0.1
Section: libs
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lua-team/lua-term.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-term
Homepage: https://github.com/hoelzro/lua-term

Package: lua-term
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: same
Description: Lua module for manipulating a terminal
 lua-term provides a library interface to facilitate
 terminal operations and manipulations in Lua.

Package: lua-term-dev
Section: libdevel
Architecture: any
Depends:
 lua-term (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: Lua module for manipulating a terminal
 This package provide the development headers and static
 libraries for lua-term. Terminal operations for Lua.

## lua-term 0.07-0.1

=== debian/changelog ===
lua-term (0.07-0.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:22:13 +0800
